/// <reference types="react" />
import "../style/Highlight.css";
import type { LTWHP } from "../types.js";
interface Props {
    position: {
        boundingRect: LTWHP;
        rects: Array<LTWHP>;
    };
    onClick?: () => void;
    onMouseOver?: () => void;
    onMouseOut?: () => void;
    label: string;
    isScrolledTo: boolean;
}
export declare const Highlight: (props: Props) => JSX.Element;
export {};
