"use client";
import React from "react";
import "../style/Highlight.css";
export const Highlight = (props) => {
    const { position, onClick, onMouseOver, onMouseOut, isScrolledTo } = props;
    const { rects } = position;
    return (React.createElement("div", { className: `Highlight ${isScrolledTo ? "Highlight--scrolledTo" : ""}` },
        React.createElement("div", { className: "Highlight__parts" }, rects.map((rect, index) => (React.createElement("div", { onMouseOver: onMouseOver, onMouseOut: onMouseOut, onClick: onClick, key: index, style: rect, className: `Highlight__part` }))))));
};
//# sourceMappingURL=Highlight.js.map