"use strict";
"use client";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AreaHighlight = void 0;
const react_1 = __importDefault(require("react"));
require("../style/AreaHighlight.css");
const AreaHighlight = (props) => {
    const { highlight, onChange, isScrolledTo } = props, otherProps = __rest(props, ["highlight", "onChange", "isScrolledTo"]);
    return (react_1.default.createElement("div", { className: `AreaHighlight ${isScrolledTo ? "AreaHighlight--scrolledTo" : ""}` },
        react_1.default.createElement("div", Object.assign({ className: "AreaHighlight__part", style: {
                left: highlight.position.boundingRect.left,
                top: highlight.position.boundingRect.top,
                width: highlight.position.boundingRect.width,
                height: highlight.position.boundingRect.height,
            } }, otherProps))));
};
exports.AreaHighlight = AreaHighlight;
//# sourceMappingURL=AreaHighlight.js.map