"use client";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from "react";
import "../style/AreaHighlight.css";
export const AreaHighlight = (props) => {
    const { highlight, onChange, isScrolledTo } = props, otherProps = __rest(props, ["highlight", "onChange", "isScrolledTo"]);
    return (React.createElement("div", { className: `AreaHighlight ${isScrolledTo ? "AreaHighlight--scrolledTo" : ""}` },
        React.createElement("div", Object.assign({ className: "AreaHighlight__part", style: {
                left: highlight.position.boundingRect.left,
                top: highlight.position.boundingRect.top,
                width: highlight.position.boundingRect.width,
                height: highlight.position.boundingRect.height,
            } }, otherProps))));
};
//# sourceMappingURL=AreaHighlight.js.map